ChangeSet 1.1595.7.28, 2003/07/31 22:48:49-07:00, stern@rowland.harvard.edu

[PATCH] USB: More unusual_devs.h stuff

Here are updates to unusual_devs.h sent in by users.  They apply to both
2.4.22 and 2.6.0.


 drivers/usb/storage/unusual_devs.h |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Aug  1 10:54:11 2003
+++ b/drivers/usb/storage/unusual_devs.h	Fri Aug  1 10:54:11 2003
@@ -407,7 +407,7 @@
 UNUSUAL_DEV(  0x0781, 0x0002, 0x0009, 0x0009, 
 		"Sandisk",
 		"ImageMate SDDR-31",
-		US_SC_SCSI, US_PR_BULK, NULL,
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
 		US_FL_IGNORE_SER ),
 
 UNUSUAL_DEV(  0x0781, 0x0100, 0x0100, 0x0100,
@@ -604,6 +604,13 @@
 		US_SC_ISD200, US_PR_BULK, isd200_Initialization,
 		0 ),
 #endif
+
+/* Submitted by Antoine Mairesse <antoine.mairesse@free.fr> */
+UNUSUAL_DEV( 0x0ed1, 0x6660, 0x0100, 0x0300,
+		"USB",
+		"Solid state disk",
+		US_SC_DEVICE, US_PR_DEVICE, NULL,
+		US_FL_FIX_INQUIRY ),
 
 /* Reported by Kevin Cernekee <kpc-usbdev@gelato.uiuc.edu>
  * Tested on hardware version 1.10.
